Bug 1296570 - Unknown permission stop for class system exe="/usr/lib/systemd/systemd" [NEEDINFO]
Unknown permission stop for class system exe="/usr/lib/systemd/systemd"
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 10:12 EST by Adam Miller
Modified: 2016-12-20 12:40 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:40:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
voxadam: needinfo? (mgrepl)


Attachments (Terms of Use)

  None (edit)
Description Adam Miller 2016-01-07 10:12:38 EST
Description of problem:
There are various messages in the journal that are listing AVC with fields marked as '?' and I'm not entirely sure what's going on.

Version-Release number of selected component (if applicable):
selinux-policy-3.13.1-158.fc23.noarch

Example messages below:
Jan 07 08:28:01 pseudogen audit[1]: USER_AVC pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='Unknown permission stop for class system exe="/usr/lib/systemd/systemd" sauid=0 hostname=? addr=? terminal=?'

Jan 07 08:29:04 pseudogen audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dnf-makecache comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jan 07 08:29:04 pseudogen audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dnf-makecache comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success

Jan 07 08:30:00 pseudogen audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=sysstat-collect comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jan 07 08:30:00 pseudogen audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=sysstat-collect comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success

I asked in #fedora-selinux and it was suggested that I run the following sesearch:

+$ sesearch -A -p stop | grep system
   allow fsadm_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow init_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow livecd_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow tomcat_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow tuned_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow wine_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow kernel_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow devicekit_disk_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow docker_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow inetd_child_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow openshift_initrc_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow puppetagent_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow rtas_errd_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow system_dbusd_t init_script_file_type : service { start stop status reload enable disable } ;
   allow system_dbusd_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow rolekit_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow rpm_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow system_dbusd_t file_type : service { start stop status reload enable disable } ;
   allow cinder_scheduler_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow spc_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow depmod_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow samba_unconfined_script_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow systemd_domain init_t : service { start stop status reload } ;
   allow boinc_project_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow openwsman_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow realmd_consolehelper_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow setfiles_mac_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow pegasus_openlmi_system_t power_unit_file_t : service { start stop status reload enable disable } ;
   allow insmod_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow unconfined_mount_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow samba_unconfined_net_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow vmware_host_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow systemd_timedated_t systemd_timedated_unit_file_t : service { start stop status reload enable disable } ;
   allow system_cronjob_t init_script_file_type : service { start stop status reload enable disable } ;
   allow system_cronjob_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow keepalived_unconfined_script_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow clvmd_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow pegasus_openlmi_unconfined_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow sge_shepherd_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow unconfined_service_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow systemd_logind_t getty_unit_file_t : service { start stop status reload enable disable } ;
   allow cinder_volume_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow initrc_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow pegasus_openlmi_admin_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow system_dbusd_t NetworkManager_unit_file_t : service { start stop status reload enable disable } ;
   allow anaconda_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow bootloader_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow dirsrvadmin_unconfined_script_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow firstboot_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow prelink_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow sge_job_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow virt_qemu_ga_unconfined_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow zabbix_script_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow systemd_logind_t systemd_unit_file_t : service { start stop status reload enable disable } ;
   allow systemd_logind_t power_unit_file_t : service { start stop status reload enable disable } ;
   allow unconfined_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow watchdog_unconfined_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow xserver_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow systemd_logind_t kmscon_unit_file_t : service { start stop status reload enable disable } ;
   allow install_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow httpd_unconfined_script_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow crond_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow mount_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow openvpn_unconfined_script_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow sosreport_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow xdm_unconfined_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow cinder_api_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow condor_startd_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow kdumpctl_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow lvm_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow nagios_unconfined_plugin_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow pegasus_openlmi_logicalfile_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow cluster_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow semanage_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow unconfined_sendmail_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow sysadm_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow unconfined_dbusd_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow virtd_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow vmtools_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow systemd_timedated_t ntpd_unit_file_t : service { start stop status reload enable disable } ;
   allow glusterd_t systemd_unit_file_t : service { start stop status reload enable disable } ;
   allow preupgrade_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow unconfined_cronjob_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow inetd_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow rpm_script_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow cloud_init_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow devicekit_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow unconfined_munin_plugin_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow nagios_eventhandler_plugin_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow pki_tomcat_script_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow virtd_lxc_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow vmtools_helper_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow authconfig_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow abrt_handle_event_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow bacula_unconfined_script_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow certmonger_unconfined_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow cinder_backup_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow devicekit_power_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow realmd_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow udev_t systemd_unit_file_type : service { start stop status reload enable disable } ;
   allow systemd_timedated_t chronyd_unit_file_t : service { start stop status reload enable disable } ;


If there is any more diagnostic information needed please let me know and I would be happy to provide it.
Comment 1 Miroslav Grepl 2016-01-08 04:06:52 EST
Adam,
yes you are correct. We are planning to review SELinux systemd code because we have more issues like this. 

https://github.com/systemd/systemd/pull/1052
Comment 2 Adam Hunt 2016-07-30 02:41:14 EDT
NOTE: I'd like to point out that while both Adam Miller, the person who filed this bug initially, and myself share a first name we are in fact to distinct people. I mention this in hopes of heading off any potential confusion. 

I have come across my own pile of these messages while troubleshooting an unrelated SELinux issue. The system in question has logged nearly 400 "Unknown permission" errors in the two short weeks since installing F24 on it (clean install, not upgraded). I'm not attaching any logs or error messages as I'm fairly sure they'd be entirely redundant. 

I'd like to point out that the pull request Miroslav linked to was closed without being applied.

One last thing, shouldn't this bug be marked as ASSIGNED now?
Comment 3 Davide Repetto 2016-08-19 13:03:43 EDT
I can confirm I too get the same AVCs:

[root@dave ~]# journalctl | grep "Unknown permission"
ago 19 16:30:42 dave.idp.it audit[1]: USER_AVC pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='Unknown permission start for class system exe="/usr/lib/systemd/systemd" sauid=0 hostname=? addr=? terminal=?'
ago 19 16:30:58 dave.idp.it audit[1]: USER_AVC pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='Unknown permission stop for class system exe="/usr/lib/systemd/systemd" sauid=0 hostname=? addr=? terminal=?'
[...]
Comment 4 Fedora Admin XMLRPC Client 2016-09-27 10:58:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2016-11-24 09:45:46 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 12:40:28 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.